Share via


Partner Configurations - List By Resource Group

List partner configurations under a resource group.
List all the partner configurations under a resource group.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventGrid/partnerConfigurations?api-version=2025-02-15

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

The name of the resource group within the user's subscription.

subscriptionId
path True

string

Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True

string

Version of the API to be used with the client request.

Responses

Name Type Description
200 OK

PartnerConfigurationsListResult

OK

Other Status Codes

*** Error Responses: ***

  • 400 Bad Request.

  • 500 Internal Server Error.

Examples

PartnerConfigurations_ListByResourceGroup

Sample request

GET https://management.azure.com/subscriptions/5b4b650e-28b9-4790-b3ab-ddbd88d727c4/resourceGroups/examplerg/providers/Microsoft.EventGrid/partnerConfigurations?api-version=2025-02-15

Sample response

{
  "value": [
    {
      "properties": {
        "partnerAuthorization": {
          "defaultMaximumExpirationTimeInDays": 10,
          "authorizedPartnersList": [
            {
              "partnerRegistrationImmutableId": "941892bc-f5d0-4d1c-8fb5-477570fc2b71",
              "partnerName": "Contoso.Finance",
              "authorizationExpirationTimeInUtc": "2022-01-28T01:20:55.142Z"
            },
            {
              "partnerRegistrationImmutableId": "5362bdb6-ce3e-4d0d-9a5b-3eb92c8aab38",
              "partnerName": "fabrikam.HR",
              "authorizationExpirationTimeInUtc": "2022-02-20T01:00:00.142Z"
            }
          ]
        }
      },
      "location": "global",
      "tags": {
        "tag1": "value1",
        "tag2": "value2"
      },
      "id": "/subscriptions/5b4b650e-28b9-4790-b3ab-ddbd88d727c4/resourceGroups/examplerg/providers/Microsoft.EventGrid/partnerConfigurations/default",
      "name": "default",
      "type": "Microsoft.EventGrid/partnerConfigurations"
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

Partner

Information about the partner.

PartnerAuthorization

The partner authorization details.

PartnerConfiguration

Partner configuration information

PartnerConfigurationProvisioningState

Provisioning state of the partner configuration.

PartnerConfigurationsListResult

Result of the List partner configurations operation

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

Partner

Information about the partner.

Name Type Description
authorizationExpirationTimeInUtc

string (date-time)

Expiration time of the partner authorization. If this timer expires, any request from this partner to create, update or delete resources in subscriber's context will fail. If specified, the allowed values are between 1 to the value of defaultMaximumExpirationTimeInDays specified in PartnerConfiguration. If not specified, the default value will be the value of defaultMaximumExpirationTimeInDays specified in PartnerConfiguration or 7 if this value is not specified.

partnerName

string

The partner name.

partnerRegistrationImmutableId

string (uuid)

The immutableId of the corresponding partner registration.

PartnerAuthorization

The partner authorization details.

Name Type Description
authorizedPartnersList

Partner[]

The list of authorized partners.

defaultMaximumExpirationTimeInDays

integer (int32)

Time used to validate the authorization expiration time for each authorized partner. If DefaultMaximumExpirationTimeInDays is not specified, the default is 7 days. Otherwise, allowed values are between 1 and 365 days.

PartnerConfiguration

Partner configuration information

Name Type Description
id

string

Fully qualified identifier of the resource.

location

string

Location of the resource.

name

string

Name of the resource.

properties.partnerAuthorization

PartnerAuthorization

The details of authorized partners.

properties.provisioningState

PartnerConfigurationProvisioningState

Provisioning state of the partner configuration.

systemData

systemData

The system metadata relating to the Event Grid resource.

tags

object

Tags of the resource.

type

string

Type of the resource.

PartnerConfigurationProvisioningState

Provisioning state of the partner configuration.

Value Description
Creating
Updating
Deleting
Succeeded
Canceled
Failed

PartnerConfigurationsListResult

Result of the List partner configurations operation

Name Type Description
nextLink

string

A link for the next page of partner configurations.

value

PartnerConfiguration[]

A collection of partner configurations.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.